ABYSS(1)

NAME
ABYSS - assemble short reads into contigs

SYNOPSIS
ABYSS [OPTION]... FILE...

DESCRIPTION
Assemble all input files, FILE, which may be in FASTA, FASTQ, qseq, export, SRA, SAM or BAM format and may be compressed with gz, bz2 or xz and may be tarred. Users wishing to run a full assembly with ABySS are recommended to use abyss-pe as their entry point rather than the ABYSS program. abyss-pe is a Makefile that coordinates many of the ABySS tools (including ABYSS) in order to run the full ABySS assembly pipeline. abyss-pe is capable of doing many things that ABYSS is not, such as leveraging the distance information provided by paired end reads and mate pair reads.

--chastity
    discard unchaste reads [default]

--no-chastity
    do not discard unchaste reads

--trim-masked
    trim masked bases from the ends of reads [default]

--no-trim-masked
    do not trim masked bases from the ends of reads

-q, --trim-quality=THRESHOLD
    trim bases from the ends of reads whose quality is less than the threshold

-Q, --mask-quality=THRESHOLD
    mask all bases in reads whose quality is less than the threshold

--standard-quality
    zero quality is `!' (33)
    default for FASTQ and SAM files

--illumina-quality
    zero quality is `@' (64)
    default for qseq and export files

-o, --out=FILE
    write the contigs to FILE

-k, --kmer=KMER_SIZE
    k-mer size

-t, --trim-length=TRIM_LENGTH
    maximum length of dangling edges to trim

-c, --coverage=COVERAGE
    remove contigs with mean k-mer coverage less than this threshold

-b, --bubbles=N
    pop bubbles shorter than N bp (default: 3*k).

-b0, --no-bubbles
    do not pop bubbles

-e, --erode=COVERAGE
    erode bases at the ends of blunt contigs with coverage less than this threshold

-E, --erode-strand=COVERAGE
    erode bases at the ends of blunt contigs with coverage less than this threshold on either strand

--coverage-hist=FILE
    record the k-mer coverage histogram in FILE

-g, --graph=FILE
    generate a graph in dot format

-s, --snp=FILE
    record popped bubbles in FILE

-v, --verbose
    display verbose output

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Jared Simpson and Shaun Jackman.

REPORTING BUGS
Report bugs to <abyss-users@bcgsc.ca>.

COPYRIGHT
Copyright 2015 Canada's Michael Smith Genome Sciences Centre